Summary: A graphical interface for RPM analyze
Name: rpm-analyzer
Version: 1.22
Release: 0
Source0: %{name}-%{version}.tar.bz2
License: GPL
Packager: Alain Tauch <ra@maisondubonheur.com>
URL: http://www.maisondubonheur.com/rpm-analyzer/
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Requires: pygtk2
Requires: python2 >= 2.2
Requires: rpm-python, rhpl
Requires: libxml2-python
BuildArch: noarch

%description
rpm-analyzer  provides  a  graphical  interface  that  allows 
the user to view a RPM dependencies according to the local rpm 
configuration or a user-defined rpm configuration. This tool is 
hdlist based and may require a comps.xml file for some features
so please consider installing comps too.

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}

%{__make} install DESTDIR="%{buildroot}" prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING Changelog
%{_bindir}/rpm-analyzer
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py
%dir %{_datadir}/%{name}/package_mgr
%{_datadir}/%{name}/package_mgr/*.py
%{_mandir}/man1/rpm-analyzer.*

%changelog
* Tue Jun 13 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.22
- repackaging (again), thanks to <dag at wieers dot com>

* Tue Jun 13 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.21
- save/restore user preferences

* Tue Jun 13 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.20
- repackaging, new versioning scheme

* Thu Jun 08 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r19
- case (in)sensitive sorting option
- delete_event mishandle fix

* Wed Feb 22 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r18
- repackaging

* Tue Feb 21 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r17
- coherent package display in group tab

* Tue Feb 21 2006 Brian Long <brilong@cisco.com> v1.0r16
- set_text fix for pyGTK 2.x API
- keep track of comps user_visible flag
- keep track of optional packages
- display group name with group id in group tab

* Thu Feb 16 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r15
- fix SEGV when scrolling in dep/rdep window (pyGTK 2.0)

* Wed Feb 15 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r14
- added csv export 

* Wed Feb 15 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r13
- support for rpm-python 4.3.3
- improve robustness against broken comps

* Tue Feb 14 2006 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r12
- works now with python > 2.2 (and so RHEL4)

* Mon Sep 15 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r11 
- bugfix in packages column display
- basic command-line options included

* Mon Sep 08 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r10 
- added option to pref window to modify hdlist import behaviour
- added option to pref window to modify dependencies resolving behaviour
- added winchoice and winsearch classes
- search function added for packages
- bugfix in history

* Tue Aug 26 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r9
- added release option in export window

* Tue Aug 19 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r8
- added display options in preferences window
- added html export window to replace the tricky ask boxes and add some options
- added select all {groups,packages} function

* Thu Aug 07 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r7
- added support for metapkg
- added preferences window to change the dependencies selection behaviour

* Tue Jun 03 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r6
- Tricky ask boxes added to include/exclude deps when exporting

* Fri May 30 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r5
- Summary added to html export

* Wed May 14 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r4
- Export selection in html +/- css  

* Thu Apr 24 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r3
- Use binary backup (.save files)
- Export selected packages, ordered by name

* Tue Apr 08 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0 r2
- Use rpm instead of rpm404 for RH9 compatibility

* Thu Mar 20 2003 Alain TAUCH <alain.tauch@thalesatm.com> v1.0
- Initial release and packaging

